Skip to main content
POST
/
api
/
brand-studio
/
assets
/
upload
Upload Asset Endpoint
curl --request POST \
  --url https://api.example.com/api/brand-studio/assets/upload \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
{
  "created_at": "<string>",
  "file_path": "<string>",
  "filename": "<string>",
  "hash": "<string>",
  "id": "<string>",
  "mime_type": "<string>",
  "size_bytes": 123,
  "source_type": "upload",
  "garment_type": "shirt",
  "height": 123,
  "mood": "<string>",
  "tags_json": "[]",
  "width": 123
}

Query Parameters

source_type
enum<string>
default:upload
Available options:
upload,
screenshot,
photo,
reference

Body

multipart/form-data
file
file
required

Response

Successful Response

created_at
string
required
file_path
string
required
filename
string
required
hash
string
required
id
string
required
mime_type
string
required
size_bytes
integer
required
source_type
enum<string>
required
Available options:
upload,
screenshot,
photo,
reference
garment_type
enum<string> | null
Available options:
shirt,
pants,
jacket,
dress,
skirt,
coat,
accessories,
other
height
integer | null
mood
string | null
tags_json
string
default:[]
width
integer | null